/*
** Constants_PhilM.h for Gmurf in /home/ahes/Gmurf/Constants/
** 
** Made by 
** Login   <ahes@ker-ys.epita.fr>
** 
** Started on  Fri Mar  5 02:12:39 1999 
** Last update Thu Mar 18 18:24:05 1999 Rmi Coupet
*/
#ifndef __CONST_PHILM__
#define __CONST_PHILM__

#ifdef __Linux
#define PID_T	__pid_t
#else
#define PID_T pid_t
#endif

/* Initial configuration constants */
#define DEF_NDSP 1			/* Number of DSPs */
#define DEF_DSP  "/dev/dsp"		/* Name of the DSP */
#define DEF_BUF  64000			/* size of the buffer */
#define DEF_RATE 44100			/* the rate to use */
#define DEF_BPS  16			/* Bits per sample */
#define DEF_CHNS 2					/* number of chanels */
#define GMURFRC DEF_PATH ".gmurfrc"    
#define DEF_TMPD DEF_PATH "tmp/"			/* temp directory */
#define MAX_NAME_SZ 80					/* max size of a file name */

/* plug-ins files */
#define SOUND_FILE_LOADER DEF_PATH "Sound_File_Loader" /* the differents file loader installed as plug-ins */
#define SOUND_FILE_SAVER  DEF_PATH "Sound_File_Saver"  /* the differents file saver installed as plug-ins */
#define FILTER_LOADER DEF_PATH "Filter"
#define MAX_LINE_LENGTH 200	       /* max length of a line in the files 'Filter' and 'Sound_File_Loader' */

/* fichier 'Filter' */
#define START_CATEGORY "$category"	/* string that indicate that we start the description of the categorys in the file 'Filter' */
#define END_CATEGORY "$end_category"	/* string that indicate that we are at the end of the description of the categorys in the file 'Filter' */

/* swap files */
#define TEMP_FILE_NAME		"/TEMP_Gmurf"
#define SWAP_FILE_NAME		"/SWAP_Gmurf"
#define SELECT_FILE_NAME	"/SELECT_Gmurf"
#define	UNDO_FILE_NAME		"/UNDO_Gmurf"
#define REDO_FILE_NAME		"/REDO_Gmurf"
#define SRC_FILE_NAME           "/SRC_Gmurf"

char	*temp_file;			/* name of an intermediate temp file */
char	*swap_file;			/* swap files used bye the plugs ins */
char	*select_file;			/* selected datas */ 
char	*undo_file;			/* file containing wave for undo */
char	*redo_file;			/* file containing wave for redo */
char    *src_file;                      /* source file of filter */

#endif /* __CONST_PHILM__ */


/*******************************************/

